Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class BOFRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.BOFRecord

    public final class BOFRecord

extends StandardRecord

Title: Beginning Of File (0x0809)

Description: Somewhat of a misnomer, its used for the beginning of a set of records that have a particular purpose or subject. Used in sheets and workbooks.

REFERENCE: PG 289 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver, Jason Height (jheight at chariot dot net dot au)

Field Summary
`static int` | `BUILD` suggested default 0x10d3
`static int` | `BUILD_YEAR` suggested default 0x07CC (1996)
`static int` | `HISTORY_MASK` suggested default for a normal sheet (0x41)
`static short` | `sid` for BIFF8 files the BOF is 0x809.
`static int` | `TYPE_CHART`
`static int` | `TYPE_EXCEL_4_MACRO`
`static int` | `TYPE_VB_MODULE`
`static int` | `TYPE_WORKBOOK`
`static int` | `TYPE_WORKSHEET`
`static int` | `TYPE_WORKSPACE_FILE`
`static int` | `VERSION` suggested default (0x0600 - BIFF8)

Constructor Summary
`BOFRecord()` Constructs an empty BOFRecord with no fields set.
`BOFRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`static BOFRecord` | `createSheetBOF()`
`int` | `getBuild()` get the build that wrote this file
`int` | `getBuildYear()` Year of the build that wrote this file
`protected int` | `getDataSize()`
`int` | `getHistoryBitMask()` get the history bit mask (not very useful)
`int` | `getRequiredVersion()` get the minimum version required to read this file
`short` | `getSid()` return the non static version of the id for this record.
`int` | `getType()` type of object this marks
`int` | `getVersion()` Version number - for BIFF8 should be 0x06
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setBuild(int build)` build that wrote this file
`void` | `setBuildYear(int year)` Year of the build that wrote this file
`void` | `setHistoryBitMask(int bitmask)` set the history bit mask (not very useful)
`void` | `setRequiredVersion(int version)` set the minimum version required to read this file
`void` | `setType(int type)` type of object this marks
`void` | `setVersion(int version)` Version number - for BIFF8 should be 0x06
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

  for BIFF8 files the BOF is 0x809. For earlier versions it was 0x09 or 0x(biffversion)09

  See Also:
    Constant Field Values

### VERSION

    public static final int VERSION

  suggested default (0x0600 - BIFF8)

  See Also:
    Constant Field Values

### BUILD

    public static final int BUILD

  suggested default 0x10d3

  See Also:
    Constant Field Values

### BUILD_YEAR

    public static final int BUILD_YEAR

  suggested default 0x07CC (1996)

  See Also:
    Constant Field Values

### HISTORY_MASK

    public static final int HISTORY_MASK

  suggested default for a normal sheet (0x41)

  See Also:
    Constant Field Values

### TYPE_WORKBOOK

    public static final int TYPE_WORKBOOK

See Also:
  Constant Field Values

### TYPE_VB_MODULE

    public static final int TYPE_VB_MODULE

See Also:
  Constant Field Values

### TYPE_WORKSHEET

    public static final int TYPE_WORKSHEET

See Also:
  Constant Field Values

### TYPE_CHART

    public static final int TYPE_CHART

See Also:
  Constant Field Values

### TYPE_EXCEL_4_MACRO

    public static final int TYPE_EXCEL_4_MACRO

See Also:
  Constant Field Values

### TYPE_WORKSPACE_FILE

    public static final int TYPE_WORKSPACE_FILE

See Also:
  Constant Field Values

Constructor Detail

### BOFRecord

    public BOFRecord()

  Constructs an empty BOFRecord with no fields set.

### BOFRecord

    public BOFRecord(RecordInputStream in)

Method Detail

### createSheetBOF

    public static BOFRecord createSheetBOF()

### setVersion

    public void setVersion(int version)

  Version number - for BIFF8 should be 0x06

  Parameters:
    `version` - version to be set
  See Also:
    `VERSION`

### setType

    public void setType(int type)

  type of object this marks

  Parameters:
    `type` - type to be set
  See Also:
    `TYPE_WORKBOOK`, `TYPE_VB_MODULE`, `TYPE_WORKSHEET`, `TYPE_CHART`, `TYPE_EXCEL_4_MACRO`, `TYPE_WORKSPACE_FILE`

### setBuild

    public void setBuild(int build)

  build that wrote this file

  Parameters:
    `build` - build number to set
  See Also:
    `BUILD`

### setBuildYear

    public void setBuildYear(int year)

  Year of the build that wrote this file

  Parameters:
    `year` - build year to set
  See Also:
    `BUILD_YEAR`

### setHistoryBitMask

    public void setHistoryBitMask(int bitmask)

  set the history bit mask (not very useful)

  Parameters:
    `bitmask` - bitmask to set for the history
  See Also:
    `HISTORY_MASK`

### setRequiredVersion

    public void setRequiredVersion(int version)

  set the minimum version required to read this file

  Parameters:
    `version` - version to set
  See Also:
    `VERSION`

### getVersion

    public int getVersion()

  Version number - for BIFF8 should be 0x06

  Returns:
    version number of the generator of this file
  See Also:
    `VERSION`

### getType

    public int getType()

  type of object this marks

  Returns:
    type of object
  See Also:
    `TYPE_WORKBOOK`, `TYPE_VB_MODULE`, `TYPE_WORKSHEET`, `TYPE_CHART`, `TYPE_EXCEL_4_MACRO`, `TYPE_WORKSPACE_FILE`

### getBuild

    public int getBuild()

  get the build that wrote this file

  Returns:
    short build number of the generator of this file
  See Also:
    `BUILD`

### getBuildYear

    public int getBuildYear()

  Year of the build that wrote this file

  Returns:
    short build year of the generator of this file
  See Also:
    `BUILD_YEAR`

### getHistoryBitMask

    public int getHistoryBitMask()

  get the history bit mask (not very useful)

  Returns:
    int bitmask showing the history of the file (who cares!)
  See Also:
    `HISTORY_MASK`

### getRequiredVersion

    public int getRequiredVersion()

  get the minimum version required to read this file

  Returns:
    int least version that can read the file
  See Also:
    `VERSION`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.